#!/bin/sh
set -x

export PATH=$SPARK_HOME/bin:$PATH
export HADOOP_CONF_DIR=/etc/taihao-apps/hadoop-conf
export JAVA_HOME=/usr/lib/jvm/java-1.8.0
export PREDICT_CACHE_PATH=/root/zhaohp/XGB/test/predict_cache/
export SEGMENT_BASE_PATH=/root/zhaohp/XGB/test/predict_analyse_file/


sh_path=$(cd $(dirname $0); pwd)
source ${sh_path}/00_common.sh

online_model_predict_result_path=/dw/recommend/model/34_ad_predict_data/20241110_351_1000_1031_1106
new_model_predict_result_path=/dw/recommend/model/34_ad_predict_data/20241110_351_1000_1103_1109
predict_analyse_file_path=/root/zhaohp/XGB/test/predict_analyse_file/20241110_351_1000_analyse.txt
calibration_file_path=/root/zhaohp/XGB/test/model_xgb_351_1000_v2_calibration.txt


local python_return_code=$(python ${sh_path}/model_predict_analyse.py -op ${online_model_predict_result_path} -np ${new_model_predict_result_path} -af ${predict_analyse_file_path} -cf ${calibration_file_path})
echo "${python_return_code}"